Draft Etichetta

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Label and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Draft CubicBezCurve.svg Curva di Bézier cubica Pagina precedente:
Pagina successiva: Sposta Draft Move.svg Arrow-right.svg

Draft Label.svg Etichetta

Posizione nel menu
Draft → Etichetta
Ambiente
Draft, Arch
Avvio veloce
D L
Introdotto nella versione
0.17
Vedere anche
Testo, Forma da testo


Descrizione

Lo strumento Etichetta inserisce una casella di testo su più righe con una linea guida a 2 segmenti e una freccia. Se si seleziona un oggetto o un sottoelemento (faccia, bordo o vertice) all'avvio del comando, è possibile creare un'etichetta per visualizzare un determinato attributo dell'elemento selezionato, tra cui posizione, lunghezza, area, volume o materiale.

Per inserire un elemento di testo più semplice senza una freccia usare Testo. Per creare forme di testo solido usare Forma da testo con Estrusione.

Draft Label example.jpg

Varie etichette con diversi orientamenti, simboli terminali e informazioni


Utilizzo

  1. Premere il pulsante Draft Label.png Etichetta, o premere i tasti D e poi L.
  2. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Aggiungi punto. Questo punto indica l'obiettivo (punta della freccia) che può essere ovunque, non è necessario che sia un elemento.
  3. Fare clic su un secondo punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto. Questo punto indica l'inizio di una linea guida orizzontale o verticale.
  4. Fare clic su un terzo punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto. Questo punto indica il punto base del testo.

Nota: la direzione del segmento retto orizzontale, a destra o a sinistra, allinea automaticamente il testo nella direzione opposta. Se la linea guida sale verticalmente, il testo è allineato a sinistra; se scende verticalmente, è allineato a destra.

Nota 2: preselezionando un oggetto, o un sottoelemento (vertice, bordo o faccia), prima di premere il pulsante dello strumento, l'etichetta diventa parametrica, cioè, ricorda a quale oggetto è vincolata, e sarà in grado per visualizzare un particolare attributo di quell'oggetto. Se in seguito gli attributi dell'oggetto cambiano, l'etichetta aggiorna le informazioni visualizzate.

Opzioni

  • Cliccare su Label type per selezionare il tipo di informazioni da visualizzare, incluso "Custom", "Name", "Label", "Position", "Length", "Area", "Volume", "Tag", e "Material".
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Tenere premuto Ctrl mentre si posiziona l'etichetta per forzare lo snap al punto di aggancio più vicino, indipendentemente dalla distanza.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

Dati

  • DATALabel Type: specifica il tipo di informazioni mostrate da questa etichetta (vedere sotto).
  • DATACustom Text: specifica il blocco di testo da visualizzare quando DATALabel Type è impostato su "Custom", o l'etichetta non è parametrica. Il testo è dato come una lista di stringhe; ogni elemento dell'elenco, separato da una virgola, indica una nuova riga di testo.
  • DATAText: (sola lettura) indica il testo effettivo visualizzato dall'etichetta, secondo DATALabel Type.
  • DATATarget Point: specifica la posizione della punta della linea guida.
  • DATAStraight Direction: specifica la direzione del segmento retto della linea guida, orizzontale o verticale.
  • DATAStraight Distance: specifica la lunghezza del segmento retto della linea guida, partendo dal punto base del testo. Se la distanza è positiva, la linea guida inizia dal lato destro del testo e il testo si allinea a destra; altrimenti, la linea guida inizia dal lato sinistro del testo e il testo si allinea a sinistra.
  • DATAPosition: specifica il punto base della prima riga del blocco di testo; influenza anche come viene disegnata la linea guida.
  • DATAAngle: specifica la rotazione della linea di base della prima riga del blocco di testo; influenza anche come viene disegnata la linea guida, poiché non è più orizzontale o verticale.
  • DATAAxis: specifica l'asse da utilizzare per la rotazione.

Tipi di etichette

  • Custom: visualizza il contenuto di DATACustom Text.
  • Name: visualizza il nome interno dell'oggetto destinatario; il nome interno viene assegnato all'oggetto al momento della sua creazione e rimane fisso per tutta l'esistenza dell'oggetto.
  • Label: visualizza l'etichetta dell'oggetto destinatario; l'etichetta dell'oggetto può essere modificata dall'utente in qualsiasi momento.
  • Position: visualizza le coordinate del punto base dell'oggetto, del vertice o del centro di massa del sottoelemento destinatari, se applicabile.
  • Length: mostra la lunghezza del sottoelemento di destinazione, se possibile.
  • Area: mostra l'area del sottoelemento di destinazione, se possibile.
  • Volume: mostra il volume dell'oggetto di destinazione, se possibile.
  • Tag: mostra l'attributo Tag dell'oggetto di destinazione, se l'oggetto di destinazione ha tale proprietà, come nel caso di tutti gli oggettiArch.
  • Material: mostra l'etichetta del materiale dell'oggetto di destinazione, se l'oggetto di destinazione ha tale proprietà.

Vista

  • VIEWText Font: specifica il carattere da utilizzare per disegnare il testo. Può essere il nome di un carattere, ad esempio "Arial", uno stile predefinito come "sans", "serif" o "mono", una famiglia come "Arial,Helvetica,sans" o un nome con uno stile come "Arial:Bold". Se nel sistema non trova il font specificato, ne utilizza uno generico.
  • VIEWText Size: specifica la dimensione delle lettere. Se l'oggetto testo viene creato nella vista ad albero ma non è visibile alcun testo, aumentare la dimensione del testo fino a renderlo visibile.
  • VIEWText Alignment: specifica l'allineamento verticale della linea di base del testo rispetto alla linea guida. Può essere in alto, in mezzo o in basso.
  • VIEWText Color: specifica il colore del testo in una tupla RGB (R, G, B).
  • VIEWLine Width: specifica la larghezza della linea guida.
  • VIEWLine Color: specifica il colore della linea guida.
  • VIEWArrow Size: specifica la dimensione del simbolo visualizzato alla fine della linea guida.
  • VIEWArrow Type: specifica il tipo di simbolo visualizzato alla fine della linea guida, che può essere dot, circle, arrow, o tick.
  • VIEWFrame: se è "Rectangle" disegna una cornice attorno al testo.
  • VIEWLine: se è True visualizza la linea guida; altrimenti visualizza solo il testo e il simbolo finale.
  • VIEWDisplay Mode: se è "3D text" il testo è allineato agli assi della scena, inizialmente situati sul piano XY; se è "2D text", il testo è sempre rivolto verso la fotocamera.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Etichetta può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
  • Crea un oggetto Label con la punta rivolta verso il targetpoint, e il collegamento all'oggetto target che deve essere un DocumentObject (Editor: or a SelectionObject? This is unclear).
  • direction può essere "Horizontal", "Vertical", o "Custom".
  • distance è la distanza dal punto base del testo alla linea guida.
  • labeltype può essere "Custom", "Name", "Label", "Position", "Length", "Area", "Volume", "Tag", o "Material".
  • Se viene dato un placement esso è usato per il punto base del testo; altrimenti il testo viene creato all'origine.

Modificare il testo personalizzato sovrascrivendo l'attributo CustomText. È possibile utilizzare un elenco di stringhe; ogni elemento viene visualizzato nella propria riga.

Le proprietà di visualizzazione di Label possono essere modificate sovrascrivendo i suoi attributi; ad esempio, sovrascrivere ViewObject.TextSize con una nuova dimensione in millimetri.

Esempio:

import FreeCAD, Draft

Rectangle = Draft.makeRectangle(4000, 1000)

p1 = FreeCAD.Vector(-200, 1000, 0)
place1 = FreeCAD.Placement(FreeCAD.Vector(-1000, 1300, 0), FreeCAD.Rotation())

Label1 = Draft.makeLabel(p1, Rectangle, "Horizontal", 500, "Label", place1)
Label1.ViewObject.TextSize = 200

p2 = FreeCAD.Vector(-200, 0, 0)
place2 = FreeCAD.Placement(FreeCAD.Vector(-1000, -300, 0), FreeCAD.Rotation())

Label2 = Draft.makeLabel(p2, Rectangle, "Horizontal", 500, "Custom", place2)
Label2.CustomText = ["Beware of the", "sharp edges"]
Label2.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()

p3 = FreeCAD.Vector(1000, 1200, 0)
place3 = FreeCAD.Placement(FreeCAD.Vector(2000, 1800, 0), FreeCAD.Rotation())

Label3 = Draft.makeLabel(p3, Rectangle, "Horizontal", -500, "Area", place3)
Label3.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft CubicBezCurve.svg Curva di Bézier cubica Pagina precedente:
Pagina successiva: Sposta Draft Move.svg Arrow-right.svg